package com.dayou.service;
import com.dayou.entity.Note;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.NoteCountVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 便签 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-01-12
 */
public interface INoteService extends IService<Note> {

        Page<Note> selectPage(Page page,Note note);

        Note detail(Long id);

        Boolean add(Note note);

        Boolean update(Note note);

        Boolean delete(Long id);

    List<Note> getList(Note note);

        List<NoteCountVO> getCount(Long userId);
}
